#version 300 es
#extension GL_OES_EGL_image_external_essl3 : require

precision mediump float;

uniform samplerExternalOES uMainTex;

in vec2 vUV;

out vec4 fragColor;

void main()
{
    fragColor = texture(uMainTex, vUV);
}